Summary: TrueType infomation dump util
Name: ftdumps
Version: 0.1.1
Release: 3%{?_dist_release}
Source: ftdumps-%{version}.tgz
Patch0: ftdumps-0.1.1-remove-extra-token.patch
Patch1: ftdumps-0.1.1-iconv-arg-type.patch
Patch2: ftdumps-0.1.1-sfnt.patch
Patch3: ftdumps-0.1.1-freetype-2.5.x.patch
License: GPL
Group: User Interface/X
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: freetype2 >= 2.0.6
BuildRequires: freetype2-devel

Distribution: Vine Linux
Vendor: Project Vine

%description
TrueType infomation dump util

%prep

%setup -q

%patch0 -p1 -b .token
%patch1 -p1 -b .iconv
%patch2 -p0 -b .sfnt
%patch3 -p1 -b .ft2

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
for i in ftdumpnames ftdumpall ftdumpxlfd ; do
  install -m 755 $i $RPM_BUILD_ROOT%{_bindir}/$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Mon Jan 12 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.1-3
- rebuild with VineSeed environment
- add Patch3 (ftdumps-0.1.1-freetype-2.5.x.patch)

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 0.1.1-2
- rebuilt with rpm-4.8.1-3

* Tue Sep 09 2008 Shu KONNO <owa@bg.wakwak.com> 0.1.1-1vl5
- applied new versioning policy
- added ftdumps-0.1.1-sfnt.patch

* Thu Aug 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.1.1-0vl3
- add patches
  - remove-extra-tokens.patch (patch0)
  - iconv-arg-type.patch (patch1)

* Fri Jan 28 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.1-0vl2
- rebuild with new toolchains
- s/Copyright/License/

* Mon Mar 18 2002 Shoji Matsumoto <shom@vinelinux.org> 0.1.1-0vl1
- update to 0.1.1 (fixed ftdumpxlfd)

* Sun Mar 10 2002 Shoji Matsumoto <shom@vinelinux.org> 0.1-0vl1
- create
